package me.Demon.DemonLevels.event;

import org.bukkit.entity.Player;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

import java.util.List;

public class ShareExpEvent extends Event {


    private static HandlerList handlers = new HandlerList();
    // 获取玩家
    private Player player;
    // 获取本次瓜分到的经验
    private int ShareExp;
    // 获取瓜分经验的名单列表
    private List<String> ShareList;

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList getHandlerList() {
        return handlers;
    }
    public ShareExpEvent(Player player, int ShareExp, List<String> ShareList) {
        this.player = player;
        this.ShareExp = ShareExp;
        this.ShareList = ShareList;
    }


    public Player getPlayer() {
        return player;
    }

    public int getShareExp() {
        return ShareExp;
    }

    public List<String> getShareList() {
        return ShareList;
    }

}
